Create Issue
curl --request POST \
--url https://api.example.com/v1/issues \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"assignee_id": "<string>",
"auto_analyze": true,
"body": "",
"external_id": "<string>",
"external_url": "<string>",
"team": "<string>"
}
'import requests
url = "https://api.example.com/v1/issues"
payload = {
"title": "<string>",
"assignee_id": "<string>",
"auto_analyze": True,
"body": "",
"external_id": "<string>",
"external_url": "<string>",
"team": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
assignee_id: '<string>',
auto_analyze: true,
body: JSON.stringify(''),
external_id: '<string>',
external_url: '<string>',
team: '<string>'
})
};
fetch('https://api.example.com/v1/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}issues
Create Issue
POST
/
v1
/
issues
Create Issue
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
p1, p2, p3, p4 Available options:
jira, servicenow, github, pagerduty, opsgenie, linear, zendesk, email, custom_api, database, contract Required string length:
1 - 300Maximum string length:
20000Maximum string length:
128Response
Successful Response
The response is of type Response Create Issue V1 Issues Post · object.
⌘I